package cn.com.qmth.stmms.common.enums;

public enum ExamSource {

    EXAM_CLOUD("云平台", 1), ONLINE_EXAM("在线考试平台", 2);

    private String name;

    private int value;

    private ExamSource(String name, int value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public int getValue() {
        return value;
    }

    public static ExamSource findByValue(int value) {
        ExamSource status = null;
        for (ExamSource s : ExamSource.values()) {
            if (s.getValue() == value) {
                status = s;
                break;
            }
        }
        return status;
    }
}
